<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title> JR2.40 Các bài toán xử lý với chuỗi </title>
</head>
<body>
    
</body>
<script>
    // Đếm số lần xuất hiện của ký tự n trong chuỗi
    function task1(paraStrA,paraStrB){
        var vdem = 0;
        var vStrTemp = paraStrA.toLowerCase();
        console
        for(var i =0; i < paraStrA.length; i ++){
            if(vStrTemp.charAt(i) === paraStrB){
                vdem ++;
            }
        }
        return vdem;

    }

    // Loại bỏ các ký tự trắng ở đầu và cuối chuỗi

    function task2(paraStrA){
        return paraStrA.trim();
    }

    // Loại bỏ chính xác chuỗi con ra khỏi chuỗi cho trước
    function task3(paraStrA,paraStrB){
        var vStrC = paraStrA.replace("the","");
        return vStrC;
    }

    // Kiểm tra chuỗi sau có phải là kết thúc của chuỗi trước hay không
    function task4(paraStrA,paraStrB){
        var vResault = paraStrA.endsWith(paraStrB);
        return vResault;
    }
    //So sánh 2 chuỗi có giống nhau hay không
    function task5(paraStrA,paraStrB){
        var vStrA = paraStrA.toLowerCase();
        var vStrB = paraStrB.toLowerCase();
        if(vStrA === vStrB){
            return true;
        }
        return false;
    }

    // Kiểm tra ký tự thứ n của chuỗi có phải viết hoa hay không
    function task6(paraChuoi,paraN){
        var vStrN = paraChuoi.charAt(paraN).toUpperCase();
        if(paraChuoi.charAt(paraN) === vStrN){
            return true;
        }
        return false;
    }

    // Kiểm tra ký tự thứ n của chuỗi có phải viết thường hay không
    function task7(paraChuoi,paraN){
        var vStrN = paraChuoi.charAt(paraN).toLowerCase();
        if(paraChuoi.charAt(paraN) === vStrN){
            return true;
        }
        return false;
    }

    // Kiểm tra chuỗi trước có bắt đầu bằng chuỗi sau hay không
    function task8(paraStrA,paraStrB){
        var vResult = paraStrA.startsWith(paraStrB);
        return vResult;
    }

    // Kiểm tra chuỗi đã cho có phải chuỗi rỗng hay không

    function task9(paraStrA){
        if(paraStrA === ""){
            return true;
        }
        return false;
    }

    // Đảo ngược chuỗi
    function task10(paraStrA){
        var reversedWord = [...paraStrA].reverse().join("");
        console.log(reversedWord);
    }

</script>
</html>